var hasOwnProperty = Object.prototype.hasOwnProperty;
function initCloneArray(t) {
	var n = t.length, r = new t.constructor(n);
	return n && typeof t[0] == "string" && hasOwnProperty.call(t, "index") && (r.index = t.index, r.input = t.input), r;
}
var _initCloneArray_default = initCloneArray;
export { _initCloneArray_default as default };
